# AlwaysDisabledFocusNode class

## Constructors

AlwaysDisabledFocusNode()

## Properties

hasFocus → bool
  Whether this node has the overall focus. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
hasListeners → bool
  Whether any listeners are currently registered. [...]
  @protected, read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addListener(VoidCallback listener) → void
  Register a closure to be called when the object changes. [...]
  inherited
consumeKeyboardToken() → bool
  Removes the keyboard token from this focus node if it has one. [...]
  inherited
dispose() → void
  Discards any resources used by the object. After this is called, the object is not in a usable state and should be discarded (calls to addListener and removeListener will throw after the object is disposed). [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
notifyListeners() → void
  Call all the registered listeners. [...]
  @protected, @visibleForTesting, inherited
removeListener(VoidCallback listener) → void
  Remove a previously registered closure from the list of closures that are notified when the object changes. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited
unfocus() → void
  Cancels any outstanding requests for focus. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited